# Interface TrackCoordinate2DData

Minimal requirements for a tracked coordinate.

interface TrackCoordinate2DData {
canvasPosition: DeepImmutable<Vertex2>;
distance: number;
id: unknown;
position: DeepImmutable<Vertex2>;
state: TrackCoordinate2DState;
visible: boolean;
}

#### Hierarchy (View Summary)

- TrackCoordinate2DData
  - TrackCoordinate2D

##### Index

### Properties

canvasPosition
distance
id
position
state
visible

## Properties

### `Readonly` canvasPosition

canvasPosition: DeepImmutable<Vertex2>

Position in 2D of the tracked coordinate relative to the canvas. Canvas refers to the the HTML canvas that BimApi uses.

#### Remarks

This is useful when one wants to position HTML elements on top of the canvas and make those HTML elements children to the canvas.

### `Readonly` distance

distance: number

If active camera is a perspective camera, this is the distance from the camera to the 3D coordinate For an orthographic camera, it is the height of the frustum.

### `Readonly` id

id: unknown

Id of tracked 3D coordinate

### `Readonly` position

position: DeepImmutable<Vertex2>

Position in 2D of the tracked coordinate

### `Readonly` state

state: TrackCoordinate2DState

Current state. Tells whether item is detached, added, updated or deleted.

### `Readonly` visible

visible: boolean

Whether the 3D coordinate is visible on screen or not